package be.cylab.java.roc;

public class Point implements Comparable<Point>{

    private double score;
    private boolean true_alert;

    public Point(final double score, final boolean true_alert) {
        this.setScore(score);
        this.setTrueAlert(true_alert);
    }

    @Override
    public final int compareTo(final Point point) {
        if (this.score > point.score) {
            return -1;
        } else if (this.score < point.score) {
            return 1;
        } else {
            return 0;
        }
    }

    public void setScore(double score) {
        if (score < 0 || score > 1) {
            throw new IllegalArgumentException("Score must be between 0 and 1");
        }
        this.score = score;
    }

    public void setTrueAlert(boolean true_alert) {
        this.true_alert = true_alert;
    }

    public double getScore() {
        return score;
    }

    public boolean isTrueAlert() {
        return true_alert;
    }
}
