package be.cylab.java.roc;

public class RocCoordinates {

    private double false_alarm;
    private double true_detection;

    public RocCoordinates(double false_alarm, double true_detection) {
        this.setFalseAlarm(false_alarm);
        this.setTrueDetection(true_detection);
    }

    public double getFalseAlarm() {
        return false_alarm;
    }

    public void setFalseAlarm(double false_alarm) {
        if (false_alarm < 0 || false_alarm > 1) {
            throw new IllegalArgumentException("" +
                    "False alarm must be between 0 and 1");
        }
        this.false_alarm = false_alarm;
    }

    public double getTrueDetection() {
        return true_detection;
    }

    public void setTrueDetection(double true_detection) {
        if (true_detection < 0 || true_detection > 1) {
            throw new IllegalArgumentException(
                    "True detection value must be between 0 and 1");
        }
        this.true_detection = true_detection;
    }
}
